SDL_SetAudioStreamFrequencyRatio(3)

NAME
SDL_SetAudioStreamFrequencyRatio - Change the frequency ratio of an audio stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetAudioStreamFrequencyRatio(SDL_AudioStream *stream, float ratio);

DESCRIPTION
The frequency ratio is used to adjust the rate at which input data is consumed. Changing this effectively modifies the speed and pitch of the audio. A value greater than 1.0 will play the audio faster, and at a higher pitch. A value less than 1.0 will play the audio slower, and at a lower pitch. This is applied during SDL_GetAudioStreamData , and can be continuously changed to create various effects.

FUNCTION PARAMETERS

stream
    The stream the frequency ratio is being changed

ratio
    The frequency ratio. 1.0 is normal speed. Must be between 0.01 and 100.

RETURN VALUE
Returns 0 on success, or -1 on error.

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetAudioStreamFrequencyRatio(3), SDL_SetAudioStreamFormat(3)